## ros-foxy-optic 0.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
find_package(ament_cmake REQUIRED)
set(dependencies
    rclcpp
)

set(CMAKE_CXX_COMPILER "g++-9")
set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

project(optic)

set(CMAKE_CXX_FLAGS_PROFILE "-g3 -pg -O -fprofile-arcs")
set(CMAKE_CXX_LINK_FLAGS_PROFILE "-pg")

find_package(GSL)

include_directories(${LIBRARY_OPTIC_DIR} ${LIBRARY_VAL_DIR})

set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin)

add_subdirectory(src/VALfiles)
add_subdirectory(src/optic)

install(TARGETS optic
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION lib/${PROJECT_NAME}
)

ament_export_include_directories(include)
ament_export_libraries(OpticCommon ParsePDDL Inst ${CBC_LIBRARY} ${CGL_LIBRARIES} ${OSICLP_LIBRARIES} ${OSI_LIBRARIES} ${CLP_LIBRARIES}  ${COINUTILS_LIBRARIES})
ament_export_dependencies(${dependencies})
ament_package()
