=== debian/changelog ===
ros-foxy-optic (0.0.1-6focal) focal; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Alvaro Mariscal Avila <alvaro0308@gmail.com>  Sat, 20 Mar 2021 00:57:04 -0000
