=== debian/control ===
Source: ros-foxy-optic
Section: misc
Priority: optional
Maintainer: Alvaro Mariscal Avila <alvaro0308@gmail.com>
Build-Depends: debhelper (>= 9.0.0), bison, coinor-libcbc-dev, coinor-libcgl-dev, coinor-libclp-dev, coinor-libcoinutils-dev, flex, ros-foxy-ament-cmake, ros-foxy-rclcpp, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-optic
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, bison, coinor-libcbc-dev, coinor-libcgl-dev, coinor-libclp-dev, coinor-libcoinutils-dev, flex, ros-foxy-rclcpp, ros-foxy-ros-workspace
Description: The OPTIC package
